curl --request POST \
--url https://api.hubapi.com/commerce/payment-links/2026-09/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"currencyCode": "<string>",
"discountObjectIds": [
"<string>"
],
"enableDefaultCheckoutFees": true,
"feeObjectIds": [
"<string>"
],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItemObjectIds": [
"<string>"
],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": 123
}
]
},
"quantity": 123,
"allowBuyerSelectedQuantity": true,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"taxObjectIds": [
"<string>"
],
"taxes": [
{
"label": "<string>",
"value": 123
}
],
"automatedSalesTaxEnabled": true,
"businessUnitId": "<string>",
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"createContractOnPurchase": true,
"descriptionHtml": "<string>",
"discountCodeEnabled": true,
"discountObjectId": "<string>",
"domainId": "<string>",
"storePaymentMethodAtCheckout": true,
"successUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/commerce/payment-links/2026-09/payment-links"
payload = {
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": True,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"currencyCode": "<string>",
"discountObjectIds": ["<string>"],
"enableDefaultCheckoutFees": True,
"feeObjectIds": ["<string>"],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": True,
"isOneTimeUseEnabled": True,
"lineItemObjectIds": ["<string>"],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": { "prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": 123
}
] },
"quantity": 123,
"allowBuyerSelectedQuantity": True,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": True,
"isOptional": True,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"taxObjectIds": ["<string>"],
"taxes": [
{
"label": "<string>",
"value": 123
}
],
"automatedSalesTaxEnabled": True,
"businessUnitId": "<string>",
"collectFullBillingAddress": True,
"collectShippingAddress": True,
"createContractOnPurchase": True,
"descriptionHtml": "<string>",
"discountCodeEnabled": True,
"discountObjectId": "<string>",
"domainId": "<string>",
"storePaymentMethodAtCheckout": True,
"successUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acceptedPaymentMethods: [],
additionalFormFields: [
{
isRequired: true,
label: '<string>',
options: [{label: '<string>', value: '<string>', description: '<string>'}],
propertyName: '<string>',
description: '<string>'
}
],
currencyCode: '<string>',
discountObjectIds: ['<string>'],
enableDefaultCheckoutFees: true,
feeObjectIds: ['<string>'],
fees: [{label: '<string>', value: 123}],
includeEmailInSuccessRedirect: true,
isOneTimeUseEnabled: true,
lineItemObjectIds: ['<string>'],
lineItems: [
{
mode: 'CUSTOM',
name: '<string>',
pricing: {prices: [{currencyCode: '<string>', price: {}, maxQuantity: 123}]},
quantity: 123,
allowBuyerSelectedQuantity: true,
billingCycleAnchorDate: '2023-12-25',
billingStartDelayDays: 123,
billingStartDelayMonths: 123,
buyerSelectedQuantityMax: 123,
buyerSelectedQuantityMin: 123,
description: '<string>',
discount: 123,
discountPercentage: 123,
externalId: '<string>',
images: '<string>',
isEditablePrice: true,
isOptional: true,
lineItemCurrencyCode: '<string>',
positionOnQuote: 123,
priceBookId: '<string>',
productId: '<string>',
productType: '<string>',
recurringBillingEndDate: '2023-12-25',
recurringBillingPeriod: '<string>',
recurringBillingStartDate: '2023-12-25',
richTextDescription: '<string>',
sku: '<string>',
taxCategory: '<string>',
taxRateGroupId: '<string>',
variantId: '<string>'
}
],
paymentLinkName: '<string>',
taxObjectIds: ['<string>'],
taxes: [{label: '<string>', value: 123}],
automatedSalesTaxEnabled: true,
businessUnitId: '<string>',
collectFullBillingAddress: true,
collectShippingAddress: true,
createContractOnPurchase: true,
descriptionHtml: '<string>',
discountCodeEnabled: true,
discountObjectId: '<string>',
domainId: '<string>',
storePaymentMethodAtCheckout: true,
successUrl: '<string>'
})
};
fetch('https://api.hubapi.com/commerce/payment-links/2026-09/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acceptedPaymentMethods": [
"CREDIT_OR_DEBIT_CARD"
],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"objectType": "COMPANY",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"archived": true,
"automatedSalesTaxEnabled": true,
"checkoutFeeIds": [
"<string>"
],
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"createContractOnPurchase": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discounts": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"fees": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"formGuid": "<string>",
"id": "<string>",
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItems": [
{
"id": "<string>",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": 123
}
],
"pricingModel": "FLAT"
},
"quantity": 123,
"acv": 123,
"allowBuyerSelectedQuantity": true,
"amount": 123,
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"arr": 123,
"billingCycleAnchorDate": "2023-12-25",
"billingPeriodEndDate": "2023-12-25",
"billingPeriodStartDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"billingStartDelayType": "HS_BILLING_START_DELAY_DAYS",
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"effectiveUnitPrice": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"isParent": true,
"lineItemCurrencyCode": "<string>",
"mrr": 123,
"parentLineItemId": "<string>",
"positionOnQuote": 123,
"postTaxAmount": 123,
"preDiscountAmount": 123,
"price": 123,
"priceBookId": "<string>",
"pricingModel": "FLAT",
"productId": "<string>",
"productType": "<string>",
"rampKey": "<string>",
"recurringBillingDayOfMonth": 123,
"recurringBillingEndDate": "2023-12-25",
"recurringBillingFrequency": "ANNUALLY",
"recurringBillingNumberOfPayments": 123,
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"recurringBillingTerms": "AUTOMATICALLY_RENEW",
"richTextDescription": "<string>",
"sku": "<string>",
"tax": 123,
"taxAmount": 123,
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"tcv": 123,
"termInMonths": 123,
"tierAmount": 123,
"totalDiscount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"paymentLinkUrl": "<string>",
"state": "OFF",
"storePaymentMethodAtCheckout": true,
"taxes": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"archivedAt": "2023-11-07T05:31:56Z",
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dealConfigurations": {
"createNewDealOnPurchase": true,
"pipelineStageId": "<string>"
},
"descriptionHtml": "<string>",
"domainId": "<string>",
"successUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a payment link
Crea un nuevo enlace de pago en tu cuenta de HubSpot. Este punto de terminación te permite especificar varios atributos para el enlace de pago, como los métodos de pago aceptados, la divisa y campos de formulario adicionales. El enlace de pago se puede configurar para un solo uso y también puede recoger direcciones de envío y facturación. Esta operación requiere un cuerpo de solicitud JSON válido. Se aplicarán algunos valores predeterminados si no se proporciona ningún valor.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Cuerpo
Una lista de métodos de pago aceptados para el enlace de pago. Los valores válidos son "CREDIT_OR_DEBIT_CARD", "ACH", "SEPA", "BACS" y "PADS".
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS, AFFIRM, KLARNA Un conjunto de objetos PaymentLinkFormField que representan campos de formulario adicionales que se incluirán en el enlace de pago.
Show child attributes
Show child attributes
El código de divisa para el pago, representado como una cadena.
Un conjunto de cadenas que representan los ID de los objetos de descuento asociados con el enlace de pago.
Un valor booleano que indica si las tarifas de pago predeterminadas están habilitadas.
Una matriz de cadenas que representan los ID de los objetos de tarifas asociados con el enlace de pago.
Un conjunto de objetos FeeRequest que representan las tarifas que se aplicarán al enlace de pago.
Show child attributes
Show child attributes
Un valor booleano que indica si se debe incluir el correo electrónico en la URL de redireccionamiento en caso de acción correcta.
Un valor booleano que indica si el enlace de pago está habilitado para un solo uso.
Un conjunto de ID de objetos de elementos de pedido asociados al enlace de pago, cada uno representado como una cadena.
Un conjunto de elementos de pedido, que pueden ser personalizadas, de un producto o clonadas, según lo definan sus respectivos esquemas.
- CUSTOM
- FROM_PRODUCT
- CLONE
Show child attributes
Show child attributes
El nombre del enlace de pago. Es un valor de cadena.
El estado del enlace de pago, representado como una cadena. Los valores válidos son "ON" y "OFF".
OFF, ON Un conjunto de ID de cadena que representan objetos de impuestos asociados con el enlace de pago.
Un conjunto de objetos TaxRequest, cada uno representando un impuesto asociado al enlace de pago.
Show child attributes
Show child attributes
Un valor booleano que indica si el impuesto sobre las ventas automatizado está habilitado.
Una cadena que representa el ID de la unidad de negocio asociada al enlace de pago.
Un valor booleano que indica si se debe recoger la dirección de facturación completa durante el proceso de pago.
Un valor booleano que indica si se debe recoger la dirección de envío durante el proceso de pago.
Show child attributes
Show child attributes
Una cadena que contiene la descripción HTML del enlace de pago.
Show child attributes
Show child attributes
Un booleano que indica si los códigos de descuento están habilitados en el enlace de pago.
Una cadena que representa el ID de objeto de un descuento asociado con el enlace de pago.
El ID de dominio asociado al enlace de pago, representado como una cadena.
Un booleano que indica si se debe guardar el método de pago al finalizar el pago.
Una cadena que define la URL a la que se hará redireccionamiento tras un pago exitoso.
Respuesta
successful operation
Una lista de métodos de pago aceptados para el enlace de pago. Los valores válidos son "CREDIT_OR_DEBIT_CARD", "ACH", "SEPA", "BACS" y "PADS".
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS, AFFIRM, KLARNA Un conjunto de campos de formulario adicionales incluidos en el enlace de pago.
Show child attributes
Show child attributes
Un valor booleano que indica si el enlace de pago está archivado.
Un booleano que indica si el impuesto de ventas automatizado está habilitado para el enlace de pago.
Un conjunto de ID de cargos de pago asociados al enlace de pago.
Un valor booleano que indica si se debe recoger la dirección de facturación completa durante el proceso de pago.
Un valor booleano que indica si se debe recoger la dirección de envío durante el proceso de pago.
El código de divisa para el enlace de pago, representado como una cadena.
Un booleano que indica si los códigos de descuento están habilitados en el enlace de pago.
Un conjunto de objetos de descuento asociados al enlace de pago.
Show child attributes
Show child attributes
Un conjunto de objetos de tarifas asociados con el enlace de pago.
Show child attributes
Show child attributes
El GUID del formulario asociado al enlace de pago, representado como una cadena.
El identificador único del enlace de pago, representado como una cadena.
Un valor booleano que indica si se debe incluir el correo electrónico en la URL de redireccionamiento en caso de acción correcta.
Un valor booleano que indica si el enlace de pago está habilitado para un solo uso.
Un conjunto de elementos de pedido asociados con el enlace de pago.
Show child attributes
Show child attributes
El nombre del enlace de pago, representado como una cadena.
La URL del enlace de pago, representada como una cadena.
El estado actual del enlace de pago, representado como una cadena. Los valores válidos son "ON" y "OFF".
OFF, ON Un booleano que indica si se debe guardar el método de pago al finalizar el pago.
Un conjunto de objetos de impuestos asociados con el enlace de pago.
Show child attributes
Show child attributes
La fecha y hora en que se archivó el enlace de pago, en formato ISO 8601.
El ID de la unidad de negocio asociado al enlace de pago, representado como una cadena.
La fecha y hora en que se creó el enlace de pago, en formato ISO 8601.
Show child attributes
Show child attributes
La descripción HTML del enlace de pago, representada como una cadena.
El ID de dominio asociado al enlace de pago, representado como una cadena.
La URL a la que se hará redireccionamiento tras un pago exitoso, representada como una cadena.
La fecha y hora de la última actualización del enlace de pago, en formato ISO 8601.